Page MenuHomePhabricator

efl_ui_tab_bar: implement select key bindings.
ClosedPublic

Authored by bowonryu on Aug 8 2018, 5:16 AM.

Details

Summary

by key bindings..
now we can select TAB with the Return/Space key.

Test Plan

elementary_test -to efl.ui.tab_pager

Diff Detail

Repository
rEFL core/efl
Branch
master
Lint
No Linters Available
Unit
No Unit Test Coverage
Build Status
Buildable 7401
Build 7038: arc lint + arc unit
bowonryu created this revision.Aug 8 2018, 5:16 AM
bowonryu requested review of this revision.Aug 8 2018, 5:16 AM
YOhoho added a subscriber: YOhoho.EditedAug 8 2018, 5:53 PM

@Hermet
is it unnecessary to increase config_version?

bowonryu updated this revision to Diff 16228.Aug 8 2018, 7:56 PM

modify select logic.

@bowonryu

Please update config_version as @YOhoho asked.

You need to change ELM_CONFIG_FILE_GENERATION to 0x0012 and and config_version to 13190. (Please calculate the config_version.)

Jaehyun_Cho requested changes to this revision.Aug 13 2018, 9:35 PM
This revision now requires changes to proceed.Aug 13 2018, 9:35 PM
bowonryu updated this revision to Diff 16420.Aug 20 2018, 4:12 AM

update config_version

bowonryu updated this revision to Diff 16448.Aug 20 2018, 11:28 PM

update for mobile profile.

Jaehyun_Cho accepted this revision.Aug 20 2018, 11:31 PM
This revision is now accepted and ready to land.Aug 20 2018, 11:31 PM
This revision was automatically updated to reflect the committed changes.